/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	calibration.h
* Description:	
*
*
* History:		
* 24-Sep-03		(csabet) 
***********************************************************
**********************************************************/
#ifndef _CALIBRATION_H
#define _CALIBRATION_H

/**********************************************************
*	Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
void calibrateWaveUsingPolynom (
	MidiFiles		*fileNames,
	ImageFormat		*format);

void getWaveCalPoly (
    MidiFiles	*fileNames,
    ImageFormat	*imageFormat,
	int			*error);

void getCalibratedChWave (
	MidiFiles	*fileNames,
	ImageFormat	*format,
    float   	**waveCal,
	int			*error);

void createMaskSP (
    char	*inFileName,
    char	*maskFileName,
    int		*error);

void createMaskFile (
	MidiFiles	*fileNames, 
	int			*error);
	
void prepareMasterFlat (void);

void prepareMasterDark (void);

void prepareDispersionRelation (void);

void preparePhotomAperMask (
	char	*fileName,
	char	*maskName,
	int		*error);

void prepareSpectroPhotomAperMask (void);

void prepareZeroPoint (void);

void prepareSpectralSensitivity (void);

void checkDelayLineJumps (
	const char			*dataKey,
	ImageFormat		*format,
	CompressedData	*compressed);  

void checkDelayLineConsistencies (
	const char			*dataKey1,
	const char			*dataKey2,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotom,
    ImageFormat		*formatInterf,
    ImageFormat		*formatPhotom,
    int				*error);




/*********************************************************/
#endif
/*********************************************************/

