/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	fft.h
* Description:	
*
*
* History:		
* 03-Feb-03		(jmeisner) Created
* 03-Mar-03		(csabet) Added title, directives and included in the MIDI pipeline
***********************************************************
**********************************************************/
#ifndef _FFT_H
#define _FFT_H

/**********************************************************
*	Include files
**********************************************************/

/**********************************************************
*	Constant definitions
**********************************************************/
#define MAXFFTSIZE	(4096)	//	Possible values are power of 2

/**********************************************************
*	Global Variables 
**********************************************************/
extern struct Complex *FFTarray;	//	New, array in which FFT is processed, and results delivered:
extern int FFTsize;
extern int FFThalfsize;
extern int FFTlevel;
extern int shuffle[];
extern float ScaleFFTby;

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
void FFT(struct Complex *Input, int level);
void IFT(struct Complex *Input, int level);
void FFTofReal(float *Input, int InputSize);
void FFTfullReal(float *Input, int InputSize, float scale);

//	Also might be used externally (usually not!):

void FFTInit(int level); // , int inverse);
void SetFFTsize(int InputSize);
void DoFFT(void);
void DoIFT(void);
void Type2DoIFT(void);
int determineFFTsize(
    int framesPerScan);

/* void ButterflyXfwd (int AIndex, int BIndex, int TwiddleIndex, */
/*                     struct Complex arr1[]); */
/* void ButterflyXinv (int AIndex, int BIndex, int TwiddleIndex, */
/*                     struct Complex arr1[]); */
/* void Type2ButterflyXinv (int AIndex, int BIndex, int TwiddleIndex, */
/*                          struct Complex arr1[]); */
/* void Type2IFT(struct Complex *Output, int newlevel); */
/* void Type2IFTtoReal(float *Output, int newlevel); */
/* void FFTofShortArray(struct Complex *Input, int InputSize); */

/*********************************************************/
#endif
/*********************************************************/
