/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  procDetLin.h
* Description:  
*
*
* History:      
* 16-Jun-04     (csabet) created
***********************************************************
**********************************************************/
#ifndef _PROC_DET_LIN_H
#define _PROC_DET_LIN_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Global Variables 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createAndDisplayImageDetLin ( 
	int				fileNumber,
	char			*fileName,
    int				extensionNumber,
    ImageFormat		*format,
    DetLinearity	*linearity,
    int				*error);

void checkSaturationDetLin (
	short int	*inData,
	float		scalingOffset,
    ImageFormat	*format,
	float		*image,
	int			*saturated);

void procDetLin (
    MidiFiles	*fileNames,
    int			*error);

void computeDetLin (    
	int				numOfFiles,
	MidiFiles		*fileNames,
    ImageFormat		*format,
    DetLinearity	*linearity,
    int				*error);

void getIntegrationTime ( 
	int				fileNumber,
	char			*fileName,
    DetLinearity	*linearity,
    int				*error);

void assessLinearity (
    ImageFormat		*format,
    char			*firstFitsFile,
    DetLinearity	*linearity,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

