/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  procFrgSP.h
* Description:
*
*
* History:
* 09-Dec-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PROC_FRG_SP_H
#define _PROC_FRG_SP_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procFrgSP (
   MidiFiles	*fileNames,
   UserOptions	*options,
   int			*error,
   cpl_parameterlist *parlist,
   cpl_frameset      *frameset);

void cleanupFrgSP (
    enum ProcessingMode	processing,
    ImageFormat			*formatInterf,
    ImageFormat			*formatPhotomA,
    ImageFormat			*formatPhotomB,
    CompressedData		*compressedInterf,
    CompressedData		*compressedPhotomA,
    CompressedData		*compressedPhotomB,
    int					*error,
    CorrectedFrames		*corrFrames);

void applyOpticalCompensation (
    MidiFiles		*fileNames,
    ImageFormat		*format,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotomA,
    CompressedData	*compressedPhotomB,
    int			*error,
    cpl_parameterlist   *parlist,
    cpl_frameset        *frameset);

void getCompensatedBeams (
    TransferRatios	*trr,
    ImageFormat		*format,
    CompressedData	*compressedInterf,
    CompressedData	*compressedPhotomA,
    CompressedData	*compressedPhotomB);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

