/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  visibility.h
* Description:
*
*
* History:
* 24-Sep-03     (csabet)
***********************************************************
**********************************************************/
#ifndef _VISIBILITY_H
#define _VISIBILITY_H

/**********************************************************
*   Include files
**********************************************************/
#include "midiLib.h"
#include <cpl.h>
/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void normalizeVis (
    RawVisibility	*rawVis,
    float       	photomA[],
    float       	photomB[]);

void computeUncalibVisSP (
	ImageFormat		*format,
	float			*freqFound,
	DispersedResult	*dispResult,
	int				*error);

void computeUncalibVis (
	ImageFormat		*format,
	float			*freqFound,
	DispersedResult	*dispResult,
	int				*error);

void computeUncalibVisHSUndisp (
    RawVisibility    *rawVis,
    PhotometryResult *photom);

void computeCalibVisSP (
    MidiFiles		*fileNames,
    ImageFormat		*format,
	DispersedResult	*dispResult,
    int				*error);

void computeCalibVis (
   MidiFiles		*fileNames,
   ImageFormat		*format,
   DispersedResult	*dispResult,
   int			*error,
   cpl_parameterlist  * parlist,
   cpl_frameset       * frameset);

void computeCalibVisHSUndisp (
    MidiFiles				*fileNames,
    RawVisibility			*rawVis,
    TransferFunction		*trf,
    CalibratedVisibility	*calibVis,
    int						*error);

void computeBinnedUncalibVis (
	ImageFormat		*format,
	DispersedResult	*dispResult,
    int				*error);


/*********************************************************/
#endif
/*********************************************************/

